#!/bin/bash
# Second Life Installer Manifest Generator
# Copyright (C) 2007 Dale Glass
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>


terminate() {
	echo "$*" >&2
	sleep 3
	exit 1
}

echo "*********************************************************************"
echo "* Getting revision number                                           *"
echo "*********************************************************************"
scripts/gen_revision.pl ../../../.. > nsis/version.nsh || terminate "gen_revision failed"

echo
echo "*********************************************************************"
echo "* Compressing files                                                 *"
echo "*********************************************************************"
scripts/gen_manifest.pl ../../packaged --compression=lzma --output-dir=compressed --nodist-list=nsis/noredist --manifest=nsis/Manifest --directories=nsis/directories.nsh || terminate "gen_manifest failed"

echo
echo "*********************************************************************"
echo "* Generating installer                                              *"
echo "*********************************************************************"
# NSIS output path is relative to the location of the script
makensis /V2 /DOUT_PATH=..\\compressed nsis/installer.nsi || terminate "makensis failed"

echo
echo "*********************************************************************"
echo "* Uploading files                                                   *"
echo "*********************************************************************"
scripts/upload.sh compressed


echo Done.
sleep 3
