#!/bin/perl -w
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
use strict;

# Gets a SNV revision number

repository_path="$1"

sub error($) {
	echo -e "$*" "\n" >&2
	exit 1
}

if [ ! -d "$repository_path" ] ; then
	error "Syntax: $0 <repository_path>"
fi

if [ ! -f "$repository_path/indra/llcommon/llversion.h" ] ; then
	error "$repository_path/indra/llcommon/llversion.h not found"
fi

echo -n "Getting revision number... "
revision=`svnversion "$repository_path"`
revision=`echo -n "$revision" | sed 's/[A-Za-z]//g'`
echo $revision

echo "!define REVISION \"$revision\"" > revision.nsh


